commit f0ca400f7e1927bfe400c6bcb32832633f673383
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Thu Mar 22 16:43:28 2018 +0100

    Adapted all file headers to state that this work is licensed under LGPLv3 (fromerly GPLv3).

diff --git a/Makefile b/Makefile
index 5043ad0..9836a41 100644
--- a/Makefile
+++ b/Makefile
@@ -4,16 +4,16 @@
 # Copyright (C) 2016..2018  Thomas Schöpping et al.                            #
 #                                                                              #
 # This program is free software: you can redistribute it and/or modify         #
-# it under the terms of the GNU General Public License as published by         #
+# it under the terms of the GNU Lesser General Public License as published by  #
 # the Free Software Foundation, either version 3 of the License, or            #
 # (at your option) any later version.                                          #
 #                                                                              #
 # This program is distributed in the hope that it will be useful,              #
 # but WITHOUT ANY WARRANTY; without even the implied warranty of               #
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
-# GNU General Public License for more details.                                 #
+# GNU Lesser General Public License for more details.                          #
 #                                                                              #
-# You should have received a copy of the GNU General Public License            #
+# You should have received a copy of the GNU Lesser General Public License     #
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
 #                                                                              #
 # This research/work was supported by the Cluster of Excellence Cognitive      #
diff --git a/README.txt b/README.txt
index 9e44d6a..5d724bf 100644
--- a/README.txt
+++ b/README.txt
@@ -7,16 +7,16 @@ Copyright (C) 2016..2018  Thomas Schöpping et al.
 (a complete list of all authors is given below)
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or (at
 your option) any later version.
 
 This program is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-General Public License for more details.
+Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 This research/work was supported by the Cluster of Excellence
diff --git a/amiro-lld.h b/amiro-lld.h
index a707623..8a42c17 100644
--- a/amiro-lld.h
+++ b/amiro-lld.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_a3906.h b/include/alld_a3906.h
index bfc33f4..d5075fc 100644
--- a/include/alld_a3906.h
+++ b/include/alld_a3906.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_at24c01bn-sh-b.h b/include/alld_at24c01bn-sh-b.h
index 867784e..1010765 100644
--- a/include/alld_at24c01bn-sh-b.h
+++ b/include/alld_at24c01bn-sh-b.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_bq24103a.h b/include/alld_bq24103a.h
index 6849367..35f81c8 100644
--- a/include/alld_bq24103a.h
+++ b/include/alld_bq24103a.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_bq27500.h b/include/alld_bq27500.h
index 409ed9b..6b9a84b 100644
--- a/include/alld_bq27500.h
+++ b/include/alld_bq27500.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_hmc5883l.h b/include/alld_hmc5883l.h
index c391c65..ba9d52b 100644
--- a/include/alld_hmc5883l.h
+++ b/include/alld_hmc5883l.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_ina219.h b/include/alld_ina219.h
index 3e70b27..b3f4724 100644
--- a/include/alld_ina219.h
+++ b/include/alld_ina219.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_l3g4200d.h b/include/alld_l3g4200d.h
index 6b6917a..4c26764 100644
--- a/include/alld_l3g4200d.h
+++ b/include/alld_l3g4200d.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_led.h b/include/alld_led.h
index 6ca8767..c55a895 100644
--- a/include/alld_led.h
+++ b/include/alld_led.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_lis331dlh.h b/include/alld_lis331dlh.h
index 4a5d1bd..eb4882d 100644
--- a/include/alld_lis331dlh.h
+++ b/include/alld_lis331dlh.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_ltc4412.h b/include/alld_ltc4412.h
index 296e268..5db3fc4 100644
--- a/include/alld_ltc4412.h
+++ b/include/alld_ltc4412.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_mpr121.h b/include/alld_mpr121.h
index 4db4ffc..5a3aaa9 100644
--- a/include/alld_mpr121.h
+++ b/include/alld_mpr121.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_pca9544a.h b/include/alld_pca9544a.h
index e8ce2b9..570d7ba 100644
--- a/include/alld_pca9544a.h
+++ b/include/alld_pca9544a.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_pklcs1212e4001.h b/include/alld_pklcs1212e4001.h
index d983e0a..10948be 100644
--- a/include/alld_pklcs1212e4001.h
+++ b/include/alld_pklcs1212e4001.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_tlc5947.h b/include/alld_tlc5947.h
index 2705c4c..2f68323 100644
--- a/include/alld_tlc5947.h
+++ b/include/alld_tlc5947.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_tps2051bdbv.h b/include/alld_tps2051bdbv.h
index 75813d0..7d47dc9 100644
--- a/include/alld_tps2051bdbv.h
+++ b/include/alld_tps2051bdbv.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_tps62113.h b/include/alld_tps62113.h
index d1b2bc1..e640973 100644
--- a/include/alld_tps62113.h
+++ b/include/alld_tps62113.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/include/alld_vcnl4020.h b/include/alld_vcnl4020.h
index f49dd71..f3e98df 100644
--- a/include/alld_vcnl4020.h
+++ b/include/alld_vcnl4020.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/periphALtypes.h b/periphALtypes.h
index fede40c..28c56e9 100644
--- a/periphALtypes.h
+++ b/periphALtypes.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_a3906.c b/source/alld_a3906.c
index 603dac5..a30a1cb 100644
--- a/source/alld_a3906.c
+++ b/source/alld_a3906.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_at24c01bn-sh-b.c b/source/alld_at24c01bn-sh-b.c
index 6ea7125..d92c1ec 100644
--- a/source/alld_at24c01bn-sh-b.c
+++ b/source/alld_at24c01bn-sh-b.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_bq24103a.c b/source/alld_bq24103a.c
index 878df15..eb65e5b 100644
--- a/source/alld_bq24103a.c
+++ b/source/alld_bq24103a.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_bq27500.c b/source/alld_bq27500.c
index 99bd0dc..562322c 100644
--- a/source/alld_bq27500.c
+++ b/source/alld_bq27500.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_hmc5883l.c b/source/alld_hmc5883l.c
index 4352f22..9412bb4 100644
--- a/source/alld_hmc5883l.c
+++ b/source/alld_hmc5883l.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_ina219.c b/source/alld_ina219.c
index 189ed21..23e93dc 100644
--- a/source/alld_ina219.c
+++ b/source/alld_ina219.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_l3g4200d.c b/source/alld_l3g4200d.c
index 5786111..a585c7c 100644
--- a/source/alld_l3g4200d.c
+++ b/source/alld_l3g4200d.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_led.c b/source/alld_led.c
index 5a1e846..ec4c578 100644
--- a/source/alld_led.c
+++ b/source/alld_led.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_lis331dlh.c b/source/alld_lis331dlh.c
index f3b470a..277b5d0 100644
--- a/source/alld_lis331dlh.c
+++ b/source/alld_lis331dlh.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_ltc4412.c b/source/alld_ltc4412.c
index 7198cc3..ebec615 100644
--- a/source/alld_ltc4412.c
+++ b/source/alld_ltc4412.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_mpr121.c b/source/alld_mpr121.c
index df7312a..e9dc489 100644
--- a/source/alld_mpr121.c
+++ b/source/alld_mpr121.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_pca9544a.c b/source/alld_pca9544a.c
index 40227f9..094d564 100644
--- a/source/alld_pca9544a.c
+++ b/source/alld_pca9544a.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_pklcs1212e4001.c b/source/alld_pklcs1212e4001.c
index 048c378..2617832 100644
--- a/source/alld_pklcs1212e4001.c
+++ b/source/alld_pklcs1212e4001.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_tlc5947.c b/source/alld_tlc5947.c
index 333a404..6676147 100644
--- a/source/alld_tlc5947.c
+++ b/source/alld_tlc5947.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_tps2051bdbv.c b/source/alld_tps2051bdbv.c
index b842eab..c71c730 100644
--- a/source/alld_tps2051bdbv.c
+++ b/source/alld_tps2051bdbv.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_tps62113.c b/source/alld_tps62113.c
index 63f4fc4..e194312 100644
--- a/source/alld_tps62113.c
+++ b/source/alld_tps62113.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/source/alld_vcnl4020.c b/source/alld_vcnl4020.c
index b21b4b6..41a9c5f 100644
--- a/source/alld_vcnl4020.c
+++ b/source/alld_vcnl4020.c
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/templates/alldconf.h b/templates/alldconf.h
index e026581..4b07467 100644
--- a/templates/alldconf.h
+++ b/templates/alldconf.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
diff --git a/templates/periphAL.h b/templates/periphAL.h
index 15053b2..78f54b4 100644
--- a/templates/periphAL.h
+++ b/templates/periphAL.h
@@ -3,16 +3,16 @@ AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini
 Copyright (C) 2016..2018  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
+it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU Lesser General Public License for more details.
 
-You should have received a copy of the GNU General Public License
+You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
